﻿using SciChart.Charting.Visuals.Annotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SciChartMitigation
{
    /// <summary>
    /// Interaction logic for MyCustomAnnotation.xaml
    /// </summary>
    public partial class MyCustomAnnotation : CustomAnnotation
    {
        // Public access modifiers to be used by other namespaces
        public Image AnnotationImage
        {
            get { return annotationImage; }
            set { value = annotationImage; }
        }
        public TextBlock AnnotationText
        {
            get { return annotationText; }
            set { value = annotationText; }
        }
        public TextBlock ParameterText
        {
            get { return parameterText; }
            set { value = parameterText; }
        }

        // Events
        public event EventHandler<CloseMicrostructureEventArgs> AnnotationClosed;

        // Constructor
        public MyCustomAnnotation()
        {
            InitializeComponent();
        }

        private void Hyperlink_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            var handler = AnnotationClosed;
            if (handler != null)
                handler(this, new CloseMicrostructureEventArgs(annotationText.Text));
        }
    }

    public class CloseMicrostructureEventArgs : EventArgs
    {
        public string name { get; set; }

        public CloseMicrostructureEventArgs(string name)
        {
            this.name = name;
        }
    }
}
